Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Change USE: +gtk3
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
imesg
Apprentice
Apprentice


Joined: 12 Jul 2002
Posts: 285

PostPosted: Wed Oct 19, 2011 8:38 pm    Post subject: Change USE: +gtk3 Reply with quote

If I do this below will gtk3 prevent my gtk2 system from operating? I guess the question is is gtk3 backward compatible?

Thanks,


root@go:~# emerge --update --deep --newuse --verbose --ask world

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy ">=net-dns/avahi-0.6.25[gtk3]".
!!! One of the following packages is required to complete your request:
- net-dns/avahi-0.6.30-r1::gentoo (Change USE: +gtk3)
(dependency required by "sys-apps/gnome-disk-utility-3.0.2-r200[avahi]" [ebuild])
(dependency required by "gnome-base/gvfs-1.10.1[gdu]" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 5100
Location: Saint Amant, Acadiana

PostPosted: Wed Oct 19, 2011 8:52 pm    Post subject: Reply with quote

USE flags affect only features that are optional, not critical or mandatory. You are safe.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
imesg
Apprentice
Apprentice


Joined: 12 Jul 2002
Posts: 285

PostPosted: Wed Oct 19, 2011 9:18 pm    Post subject: Reply with quote

Jaglover wrote:
USE flags affect only features that are optional, not critical or mandatory. You are safe.


Thanks,
Back to top
View user's profile Send private message
i92guboj
Moderator
Moderator


Joined: 30 Nov 2004
Posts: 10222
Location: Córdoba (Spain)

PostPosted: Wed Oct 19, 2011 9:28 pm    Post subject: Reply with quote

In any case, gtk+-3.x installs slotted, which means it can peacefully coexist with gtk+-2.x. For all purposes, you can consider them as different libraries. gtk+2.x based apps won't compile using gtk+-3.x, they need to be ported, generally speaking.
_________________
Gentoo Handbook | My website
Back to top
View user's profile Send private message
imesg
Apprentice
Apprentice


Joined: 12 Jul 2002
Posts: 285

PostPosted: Thu Oct 20, 2011 12:44 pm    Post subject: Reply with quote

Thanks i92guboj. It seems to me the portage has become so obscure that it is hard to determine what to do next, sometimes, to avoid disabling my computer. Portage was not always this way. Sorry for the political comment.


i92guboj wrote:
In any case, gtk+-3.x installs slotted, which means it can peacefully coexist with gtk+-2.x. For all purposes, you can consider them as different libraries. gtk+2.x based apps won't compile using gtk+-3.x, they need to be ported, generally speaking.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum